.sidebar {
  position: fixed;
  top: 0;
  margin: 0;
  padding: 0;
  width: 100%;
  height: 60px;
  background-color: var(--background-color);
  box-shadow: 0px 10px 8px -5px rgba(34, 60, 80, 0.2);
}

.checkbox {
  position: fixed;
  top: 20px;
  left: 20px;
  display: block;
  height: 32px;
  width: 32px;
  z-index: 5;
  opacity: 0;
  cursor: pointer;
}

.hamburger-lines {
  position: fixed;
  top: 17px;
  left: 20px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 32px;
  height: 26px;
  z-index: 2;
  background-color: transparent;
}

.line {
  display: block;
  width: 100%;
  height: 4px;
  border-radius: 10px;
  background: var(--text-color-dark);
}

.line1 {
  transform-origin: 0% 0%;
  transition: transform 0.4s ease-in-out;
}

.line2 {
  transition: transform 0.2s ease-in-out;
}

.line3 {
  transform-origin: 0% 100%;
  transition: transform 0.4s ease-in-out;
}

.sidebar input[type="checkbox"]:checked ~ ul {
  transform: translateX(0);
}

.sidebar input[type="checkbox"]:checked ~ .hamburger-lines .line1 {
  transform: rotate(45deg);
}

.sidebar input[type="checkbox"]:checked ~ .hamburger-lines .line2 {
  transform: scaleY(0);
}

.sidebar input[type="checkbox"]:checked ~ .hamburger-lines .line3 {
  transform: rotate(-45deg);
}

@media only screen and (min-width: 600px) {
  .sidebar {
    position: static;
    display: block;
    margin-top: -40px;
    padding-top: 40px;
    padding-bottom: 50px;
    width: 40%;
    height: 100vh;
    z-index: 2;
    background-color: var(--background-color-dark);
    box-shadow: 1px 0px 7px 3px rgba(34, 60, 80, 0.2);
  }

  .checkbox {
    display: none;
  }

  .hamburger-lines {
    display: none;
  }
}
